%let path = your_path;
/* 2003-2015 : CLAP */
LIBNAME cla2003 "W:\AAA03\GEN_AAA03030_DDIFCLASAS";
LIBNAME cla2004 "W:\AAA03\GEN_AAA03040_DDIFCLASAS";
LIBNAME cla2005 "W:\AAA03\GEN_AAA03050_DDIFCLASAS";
LIBNAME cla2006 "W:\AAA03\GEN_AAA03060_DDIFCLASAS";
LIBNAME cla2007 "W:\AAA03\GEN_AAA03070_DDIFCLASAS";
LIBNAME cla2008 "W:\AAA03\GEN_AAA03080_DDIFCLASAS";
LIBNAME cla2009 "W:\AAA03\GEN_AAA03090_DDIFCLASAS";
LIBNAME cla2010 "W:\AAA03\GEN_AAA03100_DDIFCLASAS";
LIBNAME cla2011 "W:\AAA03\GEN_AAA03110_DDIFCLASAS";
LIBNAME cla2012 "W:\AAA03\GEN_AAA03120_DDIFCLASAS";
LIBNAME cla2013 "W:\AAA03\GEN_AAA03130_DDIFCLASAS";
LIBNAME cla2014 "W:\AAA03\GEN_AAA03140_DDIFCLASAS";
LIBNAME cla2015 "W:\AAA03\GEN_AAA03150_DDIFCLASAS";

/* Firms */
PROC EXPORT DATA = cla2003.DIFFENT2003 (keep = an siren cj eff3112 effeqtp apen daton marchen remnette) OUTFILE = "&path./data/CLAP/clap_en_2003_export" DBMS = dta replace; 
RUN ;
PROC EXPORT DATA = cla2004.DIFFENT2004 (keep = an siren cj eff3112 effeqtp dcsiege apen daton marchen rembrute) OUTFILE = "&path./data/CLAP/clap_en_2004_export" DBMS = dta replace; 
RUN ;
PROC EXPORT DATA = cla2005.DIFFENT2005 (keep = an siren cj eff3112 effeqtp dcsiege apen daton marchen rembrute) OUTFILE = "&path./data/CLAP/clap_en_2005_export" DBMS = dta replace; 
RUN ;
PROC EXPORT DATA = cla2006.DIFFENT2006 (keep = an siren cj eff3112 effeqtp dcsiege apen daton marchen rembrute) OUTFILE = "&path./data/CLAP/clap_en_2006_export" DBMS = dta replace; 
RUN ;
PROC EXPORT DATA = cla2007.DIFFENT2007 (keep = an siren cj eff3112 effeqtp dcsiege apen apenbis daton marchen rembrute) OUTFILE = "&path./data/CLAP/clap_en_2007_export" DBMS = dta replace; 
RUN ;
PROC EXPORT DATA = cla2008.DIFFENT2008FRANCE (keep = an siren cj eff3112 effeqtp dcsiege apen apenbis daton marchen rembrute) OUTFILE = "&path./data/CLAP/clap_en_2008_export" DBMS = dta replace; 
RUN ;
PROC EXPORT DATA = cla2009.DIFFENT2009FRANCE (keep = an siren cj eff3112 effeqtp dcsiege apen apenbis daton marchen rembrute) OUTFILE = "&path./data/CLAP/clap_en_2009_export" DBMS = dta replace; 
RUN ;
PROC EXPORT DATA = cla2010.DIFFENT2010FRANCE (keep = an siren cj eff3112 effeqtp dcsiege apen apenbis daton marchen rembrute) OUTFILE = "&path./data/CLAP/clap_en_2010_export" DBMS = dta replace; 
RUN ;
PROC EXPORT DATA = cla2011.DIFFENT2011FRANCE (keep = an siren cj eff3112 effeqtp dcsiege apen apenbis daton marchen rembrute) OUTFILE = "&path./data/CLAP/clap_en_2011_export" DBMS = dta replace; 
RUN ;
PROC EXPORT DATA = cla2012.DIFF_ENT_2012_FRANCE (keep = an siren cj eff3112 effeqtp dcsiege apen apenbis daton marchen rembrute) OUTFILE = "&path./data/CLAP/clap_en_2012_export" DBMS = dta replace; 
RUN ;
PROC EXPORT DATA = cla2013.DIFFENT2013FRANCE (keep = an siren cj eff3112 effeqtp dcsiege apen apenbis daton marchen rembrute) OUTFILE = "&path./data/CLAP/clap_en_2013_export" DBMS = dta replace; 
RUN ;
PROC EXPORT DATA = cla2014.DIFFENT2014FRANCE (keep = an siren cj eff3112 effeqtp dcsiege apen daton marchen rembrute) OUTFILE = "&path./data/CLAP/clap_en_2014_export" DBMS = dta replace; 
RUN ;
PROC EXPORT DATA = cla2015.DIFF_ENT_2015_FRANCE (keep = an siren cj eff3112 effeqtp dcsiege apen daton marchen rembrute) OUTFILE = "&path./data/CLAP/clap_en_2015_export" DBMS = dta replace; 
RUN ;

/* Enterprises rduites */
PROC EXPORT DATA = cla2003.DIFFENT2003 (keep = siren cj) OUTFILE = "&path./data/CLAP/clap_en_red_2003_export" DBMS = dta replace; 
RUN ;
PROC EXPORT DATA = cla2004.DIFFENT2004 (keep = siren cj) OUTFILE = "&path./data/CLAP/clap_en_red_2004_export" DBMS = dta replace; 
RUN ;


/* Etablissements */
PROC EXPORT DATA = cla2003.DIFFETAB2003FRANCE (keep = an siren nic eff3112 effeqtp dc apet daton marchet remnette) OUTFILE = "&path./data/CLAP/clap_et_2003_export" DBMS = dta replace; 
RUN ;
PROC EXPORT DATA = cla2004.DIFFETAB2004FRANCE (keep = an siren nic eff3112 effeqtp dc apet daton marchet rembrute) OUTFILE = "&path./data/CLAP/clap_et_2004_export" DBMS = dta replace; 
RUN ;
PROC EXPORT DATA = cla2005.DIFFETAB2005 (keep = an siren nic eff3112 effeqtp dc apet daton cj marchet rembrute) OUTFILE = "&path./data/CLAP/clap_et_2005_export" DBMS = dta replace; 
RUN ;
PROC EXPORT DATA = cla2006.DIFFETAB2006FRANCE (keep = an siren nic eff3112 effeqtp dc apet daton cj marchet rembrute) OUTFILE = "&path./data/CLAP/clap_et_2006_export" DBMS = dta replace; 
RUN ;
PROC EXPORT DATA = cla2007.DIFFETAB2007FRANCE (keep = an siren nic eff3112 effeqtp dc apet apetbis daton cj marchet ETABMNA rembrute) OUTFILE = "&path./data/CLAP/clap_et_2007_export" DBMS = dta replace; 
RUN ;
PROC EXPORT DATA = cla2008.DIFFETAB2008FRANCE (keep = an siren nic eff3112 effeqtp dc apet apetbis daton cj marchet ETABMNA rembrute) OUTFILE = "&path./data/CLAP/clap_et_2008_export" DBMS = dta replace; 
RUN ;
PROC EXPORT DATA = cla2009.DIFFETAB2009FRANCE (keep = an siren nic eff3112 effeqtp dc apet apetbis daton cj marchet ETABMNA rembrute) OUTFILE = "&path./data/CLAP/clap_et_2009_export" DBMS = dta replace; 
RUN ;
PROC EXPORT DATA = cla2010.DIFFETAB2010FRANCE (keep = an siren nic eff3112 effeqtp dc apet apetbis daton cj marchet ETABMNA rembrute) OUTFILE = "&path./data/CLAP/clap_et_2010_export" DBMS = dta replace; 
RUN ;
PROC EXPORT DATA = cla2011.DIFFETAB2011FRANCE (keep = an siren nic eff3112 effeqtp dc apet apetbis daton cj marchet ETABMNA rembrute) OUTFILE = "&path./data/CLAP/clap_et_2011_export" DBMS = dta replace; 
RUN ;
PROC EXPORT DATA = cla2012.DIFF_ETAB_2012_FRANCE (keep = an siren nic eff3112 effeqtp dc apet apetbis daton cj marchet ETABMNA rembrute) OUTFILE = "&path./data/CLAP/clap_et_2012_export" DBMS = dta replace; 
RUN ;
PROC EXPORT DATA = cla2013.DIFFETAB2013FRANCE (keep = an siren nic eff3112 effeqtp dc apet apetbis daton cj ETABMNA rembrute) OUTFILE = "&path./data/CLAP/clap_et_2013_export" DBMS = dta replace; 
RUN ;
PROC EXPORT DATA = cla2014.DIFFETAB2014FRANCE (keep = an siren nic eff3112 effeqtp dc apet daton cj ETABMNA rembrute) OUTFILE = "&path./data/CLAP/clap_et_2014_export" DBMS = dta replace; 
RUN ;
PROC EXPORT DATA = cla2015.DIFF_ETAB_2015_FRANCE (keep = an siren nic eff3112 effeqtp dc apet daton cj ETABMNA rembrute) OUTFILE = "&path./data/CLAP/clap_et_2015_export" DBMS = dta replace; 
RUN ;
