use "${DATA_PATH}\Working\working_db", replace
	
	/* Generate 4 terms of the missing growth */
	gen X = ${VAR_EMP} * ((age>=$age) & (year_disp >= year+1)) 
	gen Y = ${VAR_EMP} * (age>=$age)
	gen Z = F.${VAR_EMP} * ((age>=$age) & (year_disp >= year+1))
	replace Z = 0 if Z == . 
	gen W =F.${VAR_EMP} * ( ((age>=$age) | (age == $age -1 )))
	replace W = 0 if W == .
	drop if year == 2015
	/* By year */
	replace year = year+1
	collapse (sum) X Y W Z, by(year) fast
	
	gen MG = log((X/Y)/(Z/W))/($sigma-1)
	replace MG=100*MG
	keep MG year
save "${RESULTS_PATH}/MG_${VAR_EMP}_k${age}_s${sigma}_${ET_EN}", replace	
