use "${RESULTS_PATH}/MG_geo_effeqtp_k5_s4_dep_regression", replace
	
	replace MG = MG*100
	replace CD = CD*100
	
	twoway (scatter MG CD, mlabel(dep) m(i) xtitle("Creative Destruction") ///
	ytitle("Missing Growth")  xlabel(10(2)18)  legend(off) ) (lfit MG CD)
	graph export "${FIG_PATH}/Figure5.pdf", as(pdf) replace
	graph export "${FIG_PATH}/Figure5.png", as(png) replace

clear
