use "${DATA_PATH}/Working/working_db", replace
	keep if year_c==1993
	drop if year_disp<year
	forvalues k =0(1)0{
		by id : gen id_`k' = (year<year_disp-`k')
		gen emp_var_id_`k' = id_`k'*(F.eff3112-eff3112)/eff3112
	}
	collapse (mean) emp_var*, by(age)
	forvalues k =0(1)0{
		gen cum_emp_var_id_`k'=1
		replace cum_emp_var_id_`k'=emp_var_id_`k'[_n-1]+ cum_emp_var_id_`k'[_n-1] if _n>1
	}
	drop if age==23
	twoway (connected cum* age), yscale(log)  xtitle("Age") ytitle("Employment")
	graph export "${FIG_PATH}/FigureA3.pdf", as(pdf) replace
	graph export "${FIG_PATH}/FigureA3.png", as(png) replace
