use "${DATA_PATH}/Working/working_db", replace
	keep if year_c==1993
	drop if year_disp<year_c
	collapse (count) id, by(year_disp)
	egen tot = sum(id)
	gen prob = id/tot
	replace year_disp = year_disp - 1993
	rename year_disp age
	graph bar (mean) prob, over(age) b1title(Age) ytitle("Probability of Exit") legend(off)
	graph export "${FIG_PATH}/FigureA4.pdf", as(pdf) replace
	graph export "${FIG_PATH}/FigureA4.png", as(png) replace
