// This do file draws table 4 and extract the corresponding figures to xls file

use "${RESULTS_PATH}/MG_eff3112_k5_s4_ET", clear
	keep if inrange(year, 1994, 2015)
	
	su MG
	su MG if inrange(year, 1996, 2005)
	su MG if inrange(year, 2006, 2013)
	
	putexcel set "${RESULTS_PATH}/Tables/Table6.xls", replace 
	
	putexcel A1=("Period")
	putexcel B1=("Missing Growth")
	putexcel A2=("1994-2015")
	putexcel A3=("1996-2005")
	putexcel A4=("2006-2013")
	
	su MG
	local m=string(`r(mean)',"%9.2f")
	putexcel B2=(`m')
	su MG if inrange(year, 1996, 2005)	
	local m=string(`r(mean)',"%9.2f")
	putexcel B3=(`m')
	su MG if inrange(year, 2006, 2013)	
	local m=string(`r(mean)',"%9.2f")
	putexcel B4=(`m')

clear
