%let path = your_path;
LIBNAME esa "&path.\data\ESANE";
/* SUSE : 2003-2007 */
LIBNAME esa2003 "W:\AAA04\GEN_AAA0403R_DFICCSAS";
LIBNAME esa2004 "W:\AAA04\GEN_AAA0404R_DFICCSAS";
LIBNAME esa2005 "W:\AAA04\GEN_AAA0405R_DFICCSAS";
LIBNAME esa2006 "W:\AAA04\GEN_AAA0406R_DFICCSAS";
LIBNAME esa2007 "W:\AAA04\GEN_AAA0407R_DFICCSAS";
/* FARE : 2008-2015 */
LIBNAME esa2008 "W:\AAA04\GEN_AAA0408S_DFARESAS";
LIBNAME esa2009 "W:\AAA04\GEN_AAA0409U_DFARESAS";
LIBNAME esa2010 "W:\AAA04\GEN_AAA0410U_DFARESAS";
LIBNAME esa2011 "W:\AAA04\GEN_AAA0411U_DFARESAS";
LIBNAME esa2012 "W:\AAA04\GEN_AAA0412U_DFAREM13SAS";
LIBNAME esa2013 "W:\AAA04\GEN_AAA0413U_DFAREM14SAS";
LIBNAME esa2014 "W:\AAA04\GEN_AAA0414U_DFAREM15SAS";
LIBNAME esa2015 "W:\AAA04\GEN_AAA0415U_DFAREM15SAS";

/* Construction de year et VA */
DATA SUS2003; SET esa2003.tab; VA = VENTMAR + PRODVEN + PRODSTO + PRODIMM - ACHAMAR - VARSTMA - ACHAMPR - VARSTMP - AUTACHA; year=2003;
run;
DATA SUS2004; SET esa2004.tab; VA = VENTMAR + PRODVEN + PRODSTO + PRODIMM - ACHAMAR - VARSTMA - ACHAMPR - VARSTMP - AUTACHA; year=2004;
run;
DATA SUS2005; SET esa2005.tab; VA = VENTMAR + PRODVEN + PRODSTO + PRODIMM - ACHAMAR - VARSTMA - ACHAMPR - VARSTMP - AUTACHA; year=2005;
run;
DATA SUS2006; SET esa2006.tab; VA = VENTMAR + PRODVEN + PRODSTO + PRODIMM - ACHAMAR - VARSTMA - ACHAMPR - VARSTMP - AUTACHA; year=2006;
run;
DATA SUS2007; SET esa2007.tab; VA = VENTMAR + PRODVEN + PRODSTO + PRODIMM - ACHAMAR - VARSTMA - ACHAMPR - VARSTMP - AUTACHA; year=2007;
run;
DATA SUS2008; SET esa2008.tab; 
VA = VENTMAR_08 + PRODVEN_08 + PRODSTO_08 + PRODIMM_08 - ACHAMAR_08 - VARSTMA_08 - ACHAMPR_08 - VARSTMP_08 - AUTACHA_08; year=2008;
run;
DATA SUS2009; SET esa2009.tab; 
VA = redi_r401 + redi_r402 + redi_r403 + redi_r311 + redi_r312 - redi_r210 - redi_r211 - redi_r212 - redi_r213 - redi_r214; year=2009;
run;
DATA SUS2010; SET esa2010.FARE2010; 
VA = redi_r401 + redi_r402 + redi_r403 + redi_r311 + redi_r312 - redi_r210 - redi_r211 - redi_r212 - redi_r213 - redi_r214; year=2010;
run;
DATA SUS2011; SET esa2011.FARE2011; 
VA = redi_r401 + redi_r402 + redi_r403 + redi_r311 + redi_r312 - redi_r210 - redi_r211 - redi_r212 - redi_r213 - redi_r214; year=2011;
run;
DATA SUS2012; SET esa2012.FARE2012METH2013; 
VA = redi_r401 + redi_r402 + redi_r403 + redi_r311 + redi_r312 - redi_r210 - redi_r211 - redi_r212 - redi_r213 - redi_r214; year=2012;
run;
DATA SUS2013; SET esa2013.FARE2013METH2014; 
VA = redi_r401 + redi_r402 + redi_r403 + redi_r311 + redi_r312 - redi_r210 - redi_r211 - redi_r212 - redi_r213 - redi_r214; year=2013;
run;
DATA SUS2014; SET esa2014.FARE2014METH2015; 
VA = redi_r401 + redi_r402 + redi_r403 + redi_r311 + redi_r312 - redi_r210 - redi_r211 - redi_r212 - redi_r213 - redi_r214; year=2014;
run;
DATA SUS2015; SET esa2015.FARE2015METH2015; 
VA = redi_r401 + redi_r402 + redi_r403 + redi_r311 + redi_r312 - redi_r210 - redi_r211 - redi_r212 - redi_r213 - redi_r214; year=2015;
run;

/* Export */
PROC EXPORT DATA = SUS2003 (keep = siren year va cj rev2) OUTFILE = "&path.\data\ESANE\esane_2003_export" DBMS = dta replace; 
RUN ;
PROC EXPORT DATA = SUS2004 (keep = siren year va cj rev2) OUTFILE = "&path.\data\ESANE\esane_2004_export" DBMS = dta replace; 
RUN ;
PROC EXPORT DATA = SUS2005 (keep = siren year va cj rev2) OUTFILE = "&path.\data\ESANE\esane_2005_export" DBMS = dta replace; 
RUN ;
PROC EXPORT DATA = SUS2006 (keep = siren year va cj rev2) OUTFILE = "&path.\data\ESANE\esane_2006_export" DBMS = dta replace; 
RUN ;
PROC EXPORT DATA = SUS2007 (keep = siren year va cj rev2) OUTFILE = "&path.\data\ESANE\esane_2007_export" DBMS = dta replace; 
RUN ;
PROC EXPORT DATA = SUS2008 (keep = siren_08 year va cj_08 nace_08) OUTFILE = "&path.\data\ESANE\esane_2008_export" DBMS = dta replace; 
RUN ;
PROC EXPORT DATA = SUS2009 (keep = siren year va stat_cj ape_rep) OUTFILE = "&path.\data\ESANE\esane_2009_export" DBMS = dta replace; 
RUN ;
PROC EXPORT DATA = SUS2010 (keep = siren year va stat_cj ape_rep) OUTFILE = "&path.\data\ESANE\esane_2010_export" DBMS = dta replace; 
RUN ;
PROC EXPORT DATA = SUS2011 (keep = siren year va stat_cj ape_rep) OUTFILE = "&path.\data\ESANE\esane_2011_export" DBMS = dta replace; 
RUN ;
PROC EXPORT DATA = SUS2012 (keep = siren year va stat_cj ape_rep) OUTFILE = "&path.\data\ESANE\esane_2012_export" DBMS = dta replace; 
RUN ;
PROC EXPORT DATA = SUS2013 (keep = siren year va stat_cj ape_rep) OUTFILE = "&path.\data\ESANE\esane_2013_export" DBMS = dta replace; 
RUN ;
PROC EXPORT DATA = SUS2014 (keep = siren year va stat_cj ape_rep) OUTFILE = "&path.\data\ESANE\esane_2014_export" DBMS = dta replace; 
RUN ;
PROC EXPORT DATA = SUS2015 (keep = siren year va stat_cj ape_rep) OUTFILE = "&path.\data\ESANE\esane_2015_export" DBMS = dta replace; 
RUN ;
